import {StarWarsStyleJournalSheet, StarWarsTextPageSheet} from "./journalSheets.js"
// ui.notifications.info
// Register the custom journal sheet

Hooks.once('ready', () => {
  console.log('ASC Star Wars Style Journal | Registering custom sheet...');
  Journal.registerSheet('asc-starwars-style-journal', StarWarsStyleJournalSheet, {
    label: 'Star Wars Style Journal',
    makeDefault: false // Set to true if you want this as the default
  });
  DocumentSheetConfig.registerSheet(JournalEntryPage, "asc-starwars-style-journal", StarWarsTextPageSheet, {
    types: ['text'],
    label: 'Star Wars Text Page',
    makeDefault: false, // Not globally default—used conditionally by the journal sheet
  });
});

Hooks.on("renderChatMessage", (message, html, data) => {
  let customClass = message.getFlag("asc-starwars-style-journal", "customClass");
  if (customClass) {
      html.addClass(customClass);
  }
});